Subject: bug#23803: 11.89.4; Integration of pdf-tools lazy loading

From: Mosè Giordano <[email-masked]>
Date: Fri, 24 Jun 2016 22:55:43 +0200

Hi Tassilo,

2016-06-24 8:03 GMT+02:00 Tassilo Horn <[email-masked]>:
> Yes, I think that should work and would be the right function.

Thank you.  Christoph, can you please confirm the attached patch
solves the problem for you?

> Can you do
> that please. I'm almost off to holidays.

Sure, I can do it as soon as I get a confirmation it works.

Bye,
Mosè
diff --git a/tex.el b/tex.el
index 923ce32..fe24c44 100644
--- a/tex.el
+++ b/tex.el
@@ -1262,8 +1262,8 @@ DE is the name of the desktop environment, either \"gnome\" or
 If `TeX-source-correlate-mode' is disabled, only find and pop to
 the output PDF file.  Used by default for the PDF Tools viewer
 entry in `TeX-view-program-list-builtin'."
-  (unless (featurep 'pdf-tools)
-    (error "PDF Tools are not installed"))
+  (unless (fboundp 'pdf-tools-install)
+    (error "PDF Tools are not available"))
   (unless TeX-PDF-mode
     (error "PDF Tools only work with PDF output"))
   (add-hook 'pdf-sync-backward-redirect-functions